Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78010 - Scsi driver error on kernel versions later than 2.4.18-14
Summary: Scsi driver error on kernel versions later than 2.4.18-14
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 8.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-17 13:09 UTC by Rick
Modified: 2008-08-01 16:22 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:12 UTC


Attachments (Terms of Use)

Description Rick 2002-11-17 13:09:43 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020827

Description of problem:
  After updating the kernel to 2.4.18-17.8.0 and then to 2.4.18-18.8.0 using
errata, I received the following error when trying to burn a cd:

   cdrecord: No such device. Cannot open '/dev/pg0'.  Cannot open SCSI driver.

  If boot back into Redhat with the kernel that came with my redhat 8.0
installation CDs, which is 2.4.18-14, then I can record cd's all day long with
the same drive without any errors at all.  Both of the newer kernels, however,
report the above given problem.  The permissions on /dev/pg0 have not changed.
  I don't think you will be able to reproduce the problem without having my
setup, but hopefully you can make some sense out of the error message combined
with the fact that it only happens with two latest Redhat kernels, not the
original with 8.0.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.type cdrecord -scanbus
2.
3.
	

Actual Results:  cdrecord: No such device.  Cannot open 'dev/pg0'.  Cannot open
SCSI driver.

Expected Results:  No errors from scanbus, and I am able to record CDs.

Additional info:

Comment 1 Rick 2002-11-17 13:19:54 UTC
  After booting back into 2.4.18-14 version of the kernel here is the actual
output of the cdrecord -scanbus entry that is not working in the two latest
kernel versions.  The below is the "good" expected results:

Linux sg driver version: 3.1.24
Using libscg version 'schily-0.5'
scsibus0:
        0,0,0     0) 'MITSUMI ' 'CR-4804TE       ' '2.6C' Removable CD-ROM
        0,1,0     1) *
        0,2,0     2) *
        0,3,0     3) *
        0,4,0     4) *
        0,5,0     5) *
        0,6,0     6) *
        0,7,0     7) *

Comment 2 Bugzilla owner 2004-09-30 15:40:12 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.